#!/usr/bin/env python3
""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import sys, os
pem_file = sys.argv[1]
cert = ""
certs = set()
total_certs = 0
for line in open(pem_file, 'rb'):
    line = line.decode("utf-8")
    cert += line
    if '-----END CERTIFICATE-----' in line:
        # remove the empty lines
        cert = os.linesep.join([s for s in cert.splitlines() if s])
        certs.add(cert)
        cert = ""
        total_certs = total_certs + 1
duplicate_certs = total_certs - len(certs)
if duplicate_certs > 0:
    with open(pem_file, 'wb') as pem:
        for cert in certs:
          pem.write(cert.encode())
          pem.write("\n\n".encode())
print ("Removed " + str(duplicate_certs) + " duplicate certificate")
