""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
####################################
# Messages for csadm log starts here
###################################

mconsts_1 = "Failed to execute the command [{0}] with error [{1}]."
mconsts_2 = "No configurations are added for log forwarding"

mconsts_5 = "Server is already added in configuration"
mconsts_6 = "The [{0}] directory does not exist."
mconsts_7 = "The [{0}] file does not exist."
mconsts_8 = "The [{0}] host is not resolvable."
mconsts_9 = "[{0}] is not a valid hostname. Specify the correct hostname."

TCP_ERROR_CHECKLIST =                            "Failed to connect to the server [{1}:{2}] due to the following error:\n{0}\n\n"
TCP_ERROR_CHECKLIST = TCP_ERROR_CHECKLIST + "Check the following for a resolution:\n"
TCP_ERROR_CHECKLIST = TCP_ERROR_CHECKLIST + "1. The server address [{1}] is correct and reachable and listening on port [{2}].\n"
TCP_ERROR_CHECKLIST = TCP_ERROR_CHECKLIST + "2. Port {2}/tcp on the server [{1}] firewall allows for incoming connections from the FortiSOAR server.\n"

TLS_ERROR_CHECKLIST = TCP_ERROR_CHECKLIST
TLS_ERROR_CHECKLIST = TLS_ERROR_CHECKLIST + "3. The trust certificate [{3}] contains the complete chain of CA certificates.\n"


mconsts_11 = "Validating TLS certificates"
mconsts_12 = "Server added successfully"
mconsts_14 = "Updating a file [{0}]"
mconsts_15 = "Opening {0}/{1} in selinux"
mconsts_16 = "No server is configured"
mconsts_17 = "Server removed successfully"
mconsts_18 = "Restarting the service [{0}]"
mconsts_19 = "Removing a file [{0}]"
mconsts_20 = "Unable to find the configuration matching with uuid [{0}]"
mconsts_21 = "Validating TCP connection on {0}:{1}"
mconsts_22 = "Successfully validated TCP connection on {0}:{1}"

mconsts_26 = "Installing selinux policy package [{0}]"

mconsts_27 = "Successfully validated TLS certificates"

mconsts_28 = "One or more entered filter is invalid. Valid filters are [{0}]."
mconsts_29 = "Unable to find the configuration matching uuid [{0}]. Check show-config output for uuid."
mconsts_30 = "Input payload is invalid for syslog configuration"
mconsts_31 = "Exporting syslog configuration at [{0}]"

mconsts_32 =              "Warning:\n"
mconsts_32 = mconsts_32 + "Only one syslog server can be configured.\n"
mconsts_32 = mconsts_32 + "Adding this will remove the already configured syslog server."

mconsts_33 = "Invalid input"

mconsts_34 =              "Cannot configure more than one syslog server.\n"
mconsts_34 = mconsts_34 + "Another syslog server is already configured."

####################################
# Messages for csadm log ends here
###################################

